import request from '@/utils/request'

// 获取电池故障编码列表
export function faultBatteryList(params) {
    return request({
        url: '/system/fault/battery',
        method: 'get',
        params
    })
}

// 获取BMS故障代码列表
export function faultBmsList(params) {
    return request({
        url: '/system/fault/bms',
        method: 'get',
        params
    })
}

// 获取BMS硬件故障列表
export function faultHardwareList(params) {
    return request({
        url: '/system/fault/hardware',
        method: 'get',
        params
    })
}

// 获取PACK系统故障列表
export function faultPackList(params) {
    return request({
        url: '/system/fault/pack',
        method: 'get',
        params
    })
}

// 获取信号量故障列表
export function faultSignalList(params) {
    return request({
        url: '/system/fault/signal',
        method: 'get',
        params
    })
}

